local coroutineEntity = monocle.Entity()

local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin(room)

  disableMovement()
  makeUnskippable()
  disablePause()
  disableRetry()
  wait(1)
  player.ForceCameraUpdate = true
  walkTo(23435, false, 0.35)
  wait(0.5)

end

function onEnd(room, wasSkipped)
  player.DummyAutoAnimate = true
  player.ForceCameraUpdate = true
  getLevel():ResetZoom()
  enableMovement()
    if wasSkipped then
    player.DummyAutoAnimate = true
    player.ForceCameraUpdate = true
    enableMovement()
    end
end